Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
pbkdf2.cpp File Reference
`#include <botan/pbkdf2.h>`
`#include <botan/exceptn.h>`
`#include <botan/internal/rounding.h>`
`#include <botan/internal/timer.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
size_t | Botan::pbkdf2 (MessageAuthenticationCode &prf, uint8_t out[], size_t out_len, const std::string &password, const uint8_t salt[], size_t salt_len, size_t iterations, std::chrono::milliseconds msec)
void | Botan::pbkdf2 (MessageAuthenticationCode &prf, uint8_t out[], size_t out_len, const uint8_t salt[], size_t salt_len, size_t iterations)